[youtubei.js](../../../README.md) / [Parser](../README.md) / addRuntimeParser

# Function: addRuntimeParser()

> **addRuntimeParser**(`classname`, `ParserConstructor`): `void`

## Parameters

• **classname**: `string`

• **ParserConstructor**: [`YTNodeConstructor`](../../Helpers/interfaces/YTNodeConstructor.md)\<[`YTNode`](../../Helpers/classes/YTNode.md)\>

## Returns

`void`

## Defined in

[src/parser/parser.ts:215](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/parser.ts#L215)
